Eclipse Platform Release 3.7

## org.eclipse.ui.wizards.datatransfer
Class WizardExternalProjectImportPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.ui.wizards.datatransfer.WizardExternalProjectImportPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

    public class WizardExternalProjectImportPage

extends WizardPage

Standard main page for a wizard that creates a project resource from whose location already contains a project.

This page may be used by clients as-is; it may be also be subclassed to suit.

Example usage:

     mainPage = new WizardExternalProjectImportPage("basicNewProjectPage");
     mainPage.setTitle("Project");
     mainPage.setDescription("Create a new project resource.");

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`WizardExternalProjectImportPage()` Creates a new project creation wizard page.

Method Summary
`void` `createControl(Composite parent)` (non-Javadoc) Method declared on IDialogPage.
`IPath` `getLocationPath()` Returns the current project location path as entered by the user, or its anticipated initial value.
`IProject` `getProjectHandle()` Creates a project resource handle for the current project name field value.
`String` `getProjectName()` Returns the current project name as entered by the user, or its anticipated initial value.
`void` `setVisible(boolean visible)` The `DialogPage` implementation of this `IDialogPage` method sets the control to the given visibility state.

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### WizardExternalProjectImportPage

    public WizardExternalProjectImportPage()

  Creates a new project creation wizard page.

Method Detail

### createControl

    public void createControl(Composite parent)

  (non-Javadoc) Method declared on IDialogPage.

  Parameters:
    `parent` - the parent composite

### getLocationPath

    public IPath getLocationPath()

  Returns the current project location path as entered by the user, or its anticipated initial value.

  Returns:
    the project location path, its anticipated initial value, or `null` if no project location path is known

### getProjectHandle

    public IProject getProjectHandle()

  Creates a project resource handle for the current project name field value.

  This method does not create the project resource; this is the responsibility of `IProject::create` invoked by the new project resource wizard.

  Returns:
    the new project resource handle

### getProjectName

    public String getProjectName()

  Returns the current project name as entered by the user, or its anticipated initial value.

  Returns:
    the project name, its anticipated initial value, or `null` if no project name is known

### setVisible

    public void setVisible(boolean visible)

  Description copied from class: `DialogPage`
  The `DialogPage` implementation of this `IDialogPage` method sets the control to the given visibility state. Subclasses may extend.

  Specified by:
    `setVisible` in interface `IDialogPage`
  Overrides:
    `setVisible` in class `DialogPage`
  Parameters:
    `visible` - `true` to make this page visible, and `false` to hide it

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.